Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.util.measures
Class CachedMeasure<O>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.util.measures.CachedMeasure<O>

All Implemented Interfaces:
  Measure<O>

Direct Known Subclasses:
  IterativeNodeSim

    public class CachedMeasure<O>

extends Object
implements Measure<O>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`protected Matrix<O,O>` | `mValues`
`protected Measure.TYPES` | `type`

Constructor Summary
`` | `CachedMeasure(Matrix<O,O> mValues, Measure.TYPES typeM)`
`protected` | `CachedMeasure(Measure.TYPES typeM)`

Method Summary
`double` | `getDissim(O o1, O o2)`
`double` | `getMeasureValue(O o1, O o2)`
`Measure.TYPES` | `getMType()`
`double` | `getSim(O o1, O o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mValues

    protected Matrix<O,O> mValues

### type

    protected Measure.TYPES type

Constructor Detail

### CachedMeasure

    public CachedMeasure(Matrix<O,O> mValues,
                         Measure.TYPES typeM)

### CachedMeasure

    protected CachedMeasure(Measure.TYPES typeM)

Method Detail

### getDissim

    public double getDissim(O o1,
                            O o2)

  Specified by:
    `getDissim` in interface `Measure<O>`

### getMType

    public Measure.TYPES getMType()

  Specified by:
    `getMType` in interface `Measure<O>`

### getMeasureValue

    public double getMeasureValue(O o1,
                                  O o2)

  Specified by:
    `getMeasureValue` in interface `Measure<O>`

### getSim

    public double getSim(O o1,
                         O o2)

  Specified by:
    `getSim` in interface `Measure<O>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009